Package org.apache.lucene.geo

# Class GeoEncodingUtils.DistancePredicate

java.lang.Object
org.apache.lucene.geo.GeoEncodingUtils.DistancePredicate

Enclosing class:
  `GeoEncodingUtils`

public static class GeoEncodingUtils.DistancePredicate extends Object
A predicate that checks whether a given point is within a distance of another point.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `test(int lat, int lon)`
  Check whether the given point is within a distance of another point.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### test

    public boolean test(int lat, int lon)
    Check whether the given point is within a distance of another point. NOTE: this operates directly on the encoded representation of points.